Package Carre

Sub Plot(X,Y as Word; C as Byte)
Enter
  AX=&H0C00|C
  CX=X
  DX=Y
  InLine(&H10CD)
Leave

X,Y as Word

Enter
  AX=&H0013
  InLine(&H10CD)
  For X=0 To 319 Do
     For Y=0 To 199 Do Plot(X,Y,(X*X+Y*Y)>>2);
Leave